"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var TextField_Basic_Example_1 = require("./examples/TextField.Basic.Example");
var TextField_Borderless_Example_1 = require("./examples/TextField.Borderless.Example");
var TextField_CustomRender_Example_1 = require("./examples/TextField.CustomRender.Example");
var TextField_ErrorMessage_Example_1 = require("./examples/TextField.ErrorMessage.Example");
var TextField_Icon_Example_1 = require("./examples/TextField.Icon.Example");
var TextField_Multiline_Example_1 = require("./examples/TextField.Multiline.Example");
var TextField_Placeholder_Example_1 = require("./examples/TextField.Placeholder.Example");
var TextField_Prefix_Example_1 = require("./examples/TextField.Prefix.Example");
var TextField_PrefixAndSuffix_Example_1 = require("./examples/TextField.PrefixAndSuffix.Example");
var TextField_checklist_1 = require("./TextField.checklist");
var TextField_Suffix_Example_1 = require("./examples/TextField.Suffix.Example");
var TextField_Underlined_Example_1 = require("./examples/TextField.Underlined.Example");
var TextField_AutoComplete_Example_1 = require("./examples/TextField.AutoComplete.Example");
var TextField_OnRenderDescription_Example_1 = require("./examples/TextField.OnRenderDescription.Example");
var TextFieldBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Basic.Example.tsx');
var TextFieldBorderlessExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Borderless.Example.tsx');
var TextFieldCustomRenderExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.CustomRender.Example.tsx');
var TextFieldErrorMessageExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.ErrorMessage.Example.tsx');
var TextFieldIconExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Icon.Example.tsx');
var TextFieldMultilineExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Multiline.Example.tsx');
var TextFieldPlaceholderExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Placeholder.Example.tsx');
var TextFieldPrefixExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Prefix.Example.tsx');
var TextFieldPrefixAndSuffixExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.PrefixAndSuffix.Example.tsx');
var TextFieldSuffixExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Suffix.Example.tsx');
var TextFieldUnderlinedExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Underlined.Example.tsx');
var TextFieldAutoCompleteExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.AutoComplete.Example.tsx');
var TextFieldOnRenderDescriptionExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.OnRenderDescription.Example.tsx');
exports.TextFieldPageProps = {
    title: 'TextField',
    componentName: 'TextField',
    componentUrl: 'https://github.com/OfficeDev/office-ui-fabric-react/tree/master/packages/office-ui-fabric-react/src/components/TextField',
    componentStatus: TextField_checklist_1.TextFieldStatus,
    examples: [
        {
            title: 'Default TextField with Label',
            code: TextFieldBasicExampleCode,
            view: React.createElement(TextField_Basic_Example_1.TextFieldBasicExample, null)
        },
        {
            title: 'TextField with Placeholder',
            code: TextFieldPlaceholderExampleCode,
            view: React.createElement(TextField_Placeholder_Example_1.TextFieldPlaceholderExample, null)
        },
        {
            title: 'Multiline TextField',
            code: TextFieldMultilineExampleCode,
            view: React.createElement(TextField_Multiline_Example_1.TextFieldMultilineExample, null)
        },
        {
            title: 'Underlined TextField',
            code: TextFieldUnderlinedExampleCode,
            view: React.createElement(TextField_Underlined_Example_1.TextFieldUnderlinedExample, null)
        },
        {
            title: 'Borderless TextField',
            code: TextFieldBorderlessExampleCode,
            view: React.createElement(TextField_Borderless_Example_1.TextFieldBorderlessExample, null)
        },
        {
            title: 'TextField with browser AutoComplete',
            code: TextFieldAutoCompleteExampleCode,
            view: React.createElement(TextField_AutoComplete_Example_1.TextFieldAutoCompleteExample, null)
        }
    ],
    implementationExamples: [
        {
            title: 'Textfield with a prefix',
            code: TextFieldPrefixExampleCode,
            view: React.createElement(TextField_Prefix_Example_1.TextFieldPrefixExample, null)
        },
        {
            title: 'Textfield with a suffix',
            code: TextFieldSuffixExampleCode,
            view: React.createElement(TextField_Suffix_Example_1.TextFieldSuffixExample, null)
        },
        {
            title: 'Textfield with a prefix and a suffix',
            code: TextFieldPrefixAndSuffixExampleCode,
            view: React.createElement(TextField_PrefixAndSuffix_Example_1.TextFieldPrefixAndSuffixExample, null)
        },
        {
            title: 'TextField with an icon',
            code: TextFieldIconExampleCode,
            view: React.createElement(TextField_Icon_Example_1.TextFieldIconExample, null)
        },
        {
            title: 'TextField with custom Label',
            code: TextFieldCustomRenderExampleCode,
            view: React.createElement(TextField_CustomRender_Example_1.TextFieldCustomRenderExample, null)
        },
        {
            title: 'TextField with custom description',
            code: TextFieldOnRenderDescriptionExampleCode,
            view: React.createElement(TextField_OnRenderDescription_Example_1.TextFieldOnRenderDescriptionExample, null)
        },
        {
            title: 'TextField error message variations',
            code: TextFieldErrorMessageExampleCode,
            view: React.createElement(TextField_ErrorMessage_Example_1.TextFieldErrorMessageExample, null)
        }
    ],
    propertiesTablesSources: [
        require('!raw-loader!office-ui-fabric-react/src/components/TextField/TextField.types.ts')
    ],
    overview: require('!raw-loader!office-ui-fabric-react/src/components/TextField/docs/TextFieldOverview.md'),
    bestPractices: '',
    dos: require('!raw-loader!office-ui-fabric-react/src/components/TextField/docs/TextFieldDos.md'),
    donts: require('!raw-loader!office-ui-fabric-react/src/components/TextField/docs/TextFieldDonts.md'),
    isHeaderVisible: true,
    allowNativeProps: true,
    nativePropsElement: ['input', 'textarea']
};
//# sourceMappingURL=TextField.doc.js.map